Unit tmnk4r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNK4R_p, FGMNK4R_p, MNK4R_p;

function tmnk4r: String;

implementation

function tmnk4r: String;
var
N,I,_i,IERR :Integer;
FE,F :Real;
A :Array [0..1] of Real;
B :Array [0..1] of Real;
XE :Array [0..1] of Real;
G :Array [0..1] of Real;
GE :Array [0..1] of Real;
//I0 :Array [0..1] of Real;
I0 :Array [0..1] of Integer;
RM :Array [0..9] of Real;
//IRM :Array [0..4] of Real;
IRM :Array [0..4] of Integer;
const
XF :Array [0..1] of Real = ( -1.2,1.0 );
UP :Array [0..8] of Real = ( 200.0,-1.0,6.0,1.0,1.0,10.0,5.0,0.5,0.5 );
label
_1;
begin
Result := '';  {   }
N := 2;
for I:=1 to N do
 begin
  A[I-1] := -5.0;
  B[I-1] := 5.0;
  I0[I-1] := 1;
  XE[I-1] := 1.E-04;
_1:
 end;
FE := 1.E-08;
MNK4R(XF,XE,I0,A,B,N,FMNK4R,F,FE,
     FGMNK4R,G,GE,UP,RM,IRM,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[XF[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f ',[F]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[G[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmnk4r',Result);  {     tmnk4r.res }
exit;
end;

end.
